30 June 2009

Installasi Ksplice di Ubuntu

Melihat postingan Om Andika tentang Ksplice jadi pengen mencoba. :D
Cara installasinya ternyata tidak sulit.
Berikut tahapan installasinya :
1. Meminta "Access Key" Ksplice, klik disini.
2. Masukkan email anda dan menyatakan setuju terhadap TOS.
3. Tambahkan pada sources.list, sudo vim /etc/apt/sources.list :
deb http://www.ksplice.com/apt jaunty ksplice
deb-src http://www.ksplice.com/apt jaunty ksplice

4. Mengunduh "public key" dari Ksplice, wget -N https://www.ksplice.com/apt/ksplice-archive.asc .
5. Menambahkan key, apt-key add ksplice-archive.asc
6. Installasi Ksplice, sudo apt-get update && sudo apt-get -y install uptrack .
7. Masukkan "Access Key" kemudian enter.

Setelah installasi selesai, silahkan bisa langsung digunakan.
Gunakan perintah sudo uptrack-upgrade atau detilnya dapat dilihat manual Ksplice.

Selamat mencoba. :)
~$ sudo uptrack-upgrade
Downloading [knap05vg] Performance regression in filesystem buffer code.
Downloading [61mvj5vm] CVE-2009-1192: Information leak in the agp subsystem.
Downloading [bwsa0n8v] Multiple bugs in filesystem core.
Downloading [4xo605qs] CVE-2009-1265: Integer overflow in the af_rose maximum user frame size.
Downloading [9idmribm] CVE-2009-1337: kill the wrong capable(CAP_KILL) check.
Downloading [2pfvh8n3] Possible erroneous memory overcommit in program start.
The following steps will be taken:
Install [9idmribm] CVE-2009-1337: kill the wrong capable(CAP_KILL) check.
Install [4xo605qs] CVE-2009-1265: Integer overflow in the af_rose maximum user frame size.
Install [61mvj5vm] CVE-2009-1192: Information leak in the agp subsystem.
Install [bwsa0n8v] Multiple bugs in filesystem core.
Install [2pfvh8n3] Possible erroneous memory overcommit in program start.
Install [knap05vg] Performance regression in filesystem buffer code.

Go ahead [y/N]? Y
Installing [9idmribm] CVE-2009-1337: kill the wrong capable(CAP_KILL) check.
Installing [4xo605qs] CVE-2009-1265: Integer overflow in the af_rose maximum user frame size.
Installing [61mvj5vm] CVE-2009-1192: Information leak in the agp subsystem.
Installing [bwsa0n8v] Multiple bugs in filesystem core.
Installing [2pfvh8n3] Possible erroneous memory overcommit in program start.
Installing [knap05vg] Performance regression in filesystem buffer code.

2 comments:

  1. Kata Pak Andika, butuh koneksi yang oke. Apa benar begitu?

    Saya sih gak bisa coba, karena instalasi Ubuntu saya Hardy (males upgrade lagi).

    ReplyDelete
  2. @Cecep :
    Kebetulan koneksi saya > 256kbps seperti yang dikatakan Om Andika :).
    Server Hardy kan masih sampe 2011 dukungannya.
    Jadi masih lama, saran saya pertahankan dan lanjutkan.
    :))

    ReplyDelete

Disqus for Dedy selalu Milisdad